org.eclipse.graphiti.mm.algorithms.styles.util

## Class StylesSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.graphiti.mm.algorithms.styles.util.StylesSwitch<T>

    public class StylesSwitch<T>
    extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `StylesPackage`

### Constructor Summary

Constructors
Constructor and Description
`StylesSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseAbstractStyle(AbstractStyle object)` Returns the result of interpreting the object as an instance of 'Abstract Style'.
`T` `caseAdaptedGradientColoredAreas(AdaptedGradientColoredAreas object)` Returns the result of interpreting the object as an instance of 'Adapted Gradient Colored Areas'.
`T` `caseColor(Color object)` Returns the result of interpreting the object as an instance of 'Color'.
`T` `caseFont(Font object)` Returns the result of interpreting the object as an instance of 'Font'.
`T` `caseGradientColoredArea(GradientColoredArea object)` Returns the result of interpreting the object as an instance of 'Gradient Colored Area'.
`T` `caseGradientColoredAreas(GradientColoredAreas object)` Returns the result of interpreting the object as an instance of 'Gradient Colored Areas'.
`T` `caseGradientColoredLocation(GradientColoredLocation object)` Returns the result of interpreting the object as an instance of 'Gradient Colored Location'.
`T` `casePoint(Point object)` Returns the result of interpreting the object as an instance of 'Point'.
`T` `casePrecisionPoint(PrecisionPoint object)` Returns the result of interpreting the object as an instance of 'Precision Point'.
`T` `caseRenderingStyle(RenderingStyle object)` Returns the result of interpreting the object as an instance of 'Rendering Style'.
`T` `caseStyle(Style object)` Returns the result of interpreting the object as an instance of 'Style'.
`T` `caseStyleContainer(StyleContainer object)` Returns the result of interpreting the object as an instance of 'Style Container'.
`T` `caseTextStyle(TextStyle object)` Returns the result of interpreting the object as an instance of 'Text Style'.
`T` `caseTextStyleRegion(TextStyleRegion object)` Returns the result of interpreting the object as an instance of 'Text Style Region'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StylesSwitch

    public StylesSwitch()

Creates an instance of the switch.

### Method Detail

#### caseRenderingStyle

    public T caseRenderingStyle(RenderingStyle object)

Returns the result of interpreting the object as an instance of 'Rendering Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Rendering Style'.
See Also:
  `doSwitch(EObject)`

#### caseStyle

    public T caseStyle(Style object)

Returns the result of interpreting the object as an instance of 'Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Style'.
See Also:
  `doSwitch(EObject)`

#### caseAbstractStyle

    public T caseAbstractStyle(AbstractStyle object)

Returns the result of interpreting the object as an instance of 'Abstract Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Abstract Style'.
See Also:
  `doSwitch(EObject)`

#### caseGradientColoredLocation

    public T caseGradientColoredLocation(GradientColoredLocation object)

Returns the result of interpreting the object as an instance of 'Gradient Colored Location'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Gradient Colored Location'.
See Also:
  `doSwitch(EObject)`

#### caseGradientColoredArea

    public T caseGradientColoredArea(GradientColoredArea object)

Returns the result of interpreting the object as an instance of 'Gradient Colored Area'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Gradient Colored Area'.
See Also:
  `doSwitch(EObject)`

#### caseGradientColoredAreas

    public T caseGradientColoredAreas(GradientColoredAreas object)

Returns the result of interpreting the object as an instance of 'Gradient Colored Areas'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Gradient Colored Areas'.
See Also:
  `doSwitch(EObject)`

#### caseAdaptedGradientColoredAreas

    public T caseAdaptedGradientColoredAreas(AdaptedGradientColoredAreas object)

Returns the result of interpreting the object as an instance of 'Adapted Gradient Colored Areas'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Adapted Gradient Colored Areas'.
See Also:
  `doSwitch(EObject)`

#### caseFont

    public T caseFont(Font object)

Returns the result of interpreting the object as an instance of 'Font'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Font'.
See Also:
  `doSwitch(EObject)`

#### casePoint

    public T casePoint(Point object)

Returns the result of interpreting the object as an instance of 'Point'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Point'.
See Also:
  `doSwitch(EObject)`

#### caseColor

    public T caseColor(Color object)

Returns the result of interpreting the object as an instance of 'Color'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Color'.
See Also:
  `doSwitch(EObject)`

#### casePrecisionPoint

    public T casePrecisionPoint(PrecisionPoint object)

Returns the result of interpreting the object as an instance of 'Precision Point'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Precision Point'.
Since:
  0.9
See Also:
  `doSwitch(EObject)`

#### caseTextStyle

    public T caseTextStyle(TextStyle object)

Returns the result of interpreting the object as an instance of 'Text Style'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Text Style'.
Since:
  0.10
See Also:
  `doSwitch(EObject)`

#### caseTextStyleRegion

    public T caseTextStyleRegion(TextStyleRegion object)

Returns the result of interpreting the object as an instance of 'Text Style Region'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Text Style Region'.
Since:
  0.10
See Also:
  `doSwitch(EObject)`

#### caseStyleContainer

    public T caseStyleContainer(StyleContainer object)

Returns the result of interpreting the object as an instance of 'Style Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Style Container'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`